package com.ruoyi.syzy.criteria;

import com.alibaba.fastjson2.JSON;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Map;

@ApiModel("院校投档线查询条件")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UniversityTdxCriteria implements java.io.Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    private String spro;

    @ApiModelProperty("院校所在地")
    private String location;
    @ApiModelProperty("层次")
    private String level;
    @ApiModelProperty("科类")
    private String type;
    @ApiModelProperty("录取年份")
    private String year;
    @ApiModelProperty("院校名称")
    private String univerName;
    @ApiModelProperty("院校code")
    private String code;

    public String getSpro() {
        return spro;
    }

    public void setSpro(String spro) {
        this.spro = spro;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getUniverName() {
        return univerName;
    }

    public void setUniverName(String univerName) {
        this.univerName = univerName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }

    public Map<String, Object> toMap() {
        return JSON.parseObject(JSON.toJSONString(this));
    }

}
